@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
datetime
pico_util

Date/Time formatting. More...

## Data Structures

struct | datetime_t
| Structure containing date and time information. More...

## Functions

struct tm * | pico_localtime_r (const time_t *time, struct tm *tm)
| localtime_r implementation for use by the pico_util datetime functions
time_t | pico_mktime (struct tm *tm)
| mktime implementation for use by the pico_util datetime functions

## Detailed Description

Date/Time formatting.

## Function Documentation

## pico_localtime_r()

struct tm * pico_localtime_r | ( | const time_t * | time,
|  | struct tm * | tm )

localtime_r implementation for use by the pico_util datetime functions

This method calls localtime_r from the C library by default, but is declared as a weak implementation to allow user code to override it

## pico_mktime()

time_t pico_mktime | ( | struct tm * | tm | ) |

mktime implementation for use by the pico_util datetime functions

This method calls mktime from the C library by default, but is declared as a weak implementation to allow user code to override it